## golang-github-tillitis-tkeyutil 0.0.8

=== debian/changelog ===
golang-github-tillitis-tkeyutil (0.0.8-2) unstable; urgency=medium

  * salsa-ci.yml: Drop custom apt repo for B-D's.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 14 Nov 2024 09:46:29 +0100

golang-github-tillitis-tkeyutil (0.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #1087025)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 10:54:47 +0100

## golang-github-tillitis-tkeyutil 0.0.9

=== Makefile ===
all:
	go build

.PHONY: spdx
spdx:
	./tools/spdx-ensure

.PHONY: lint
lint:
	golangci-lint run

=== debian/changelog ===
golang-github-tillitis-tkeyutil (0.0.9-3) unstable; urgency=medium

  * Fix watch file regexp

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Dec 2025 21:10:27 +0100

golang-github-tillitis-tkeyutil (0.0.9-2) unstable; urgency=medium

  * Drop unused B-D golang-github-ccoveille-go-safecast-dev
  * Use watch v5
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2
  * Modernize Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Dec 2025 10:46:04 +0100

golang-github-tillitis-tkeyutil (0.0.9-1) unstable; urgency=medium

  * New upstream version 0.0.9
  * Bump d/* copyright years.
  * d/salsa-ci.yml: Tighten lintian/autopkgtest checks.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jan 2025 10:13:33 +0100

=== debian/control ===
Source: golang-github-tillitis-tkeyutil
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-gen2brain-beeep-dev,
 golang-golang-x-term-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeyutil
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeyutil.git
Homepage: https://github.com/tillitis/tkeyutil
XS-Go-Import-Path: github.com/tillitis/tkeyutil

Package: golang-github-tillitis-tkeyutil-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-gen2brain-beeep-dev,
 golang-golang-x-term-dev,
 ${misc:Depends},
Description: Tillitis TKey utility functions (Go library)
 Tillitis TKey Utility package
 .
 A Go package with utility functions for a client application
 communicating with a Tillitis (https://tillitis.se/) TKey.
 .
 This package contains the Go development library.

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/tillitis/tkeyutil/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
Pgp-Mode: plain
